Subject: Re: [PATCH 2/2] fast-import: validate entire ident string

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 26 Apr 2010 09:02:47 -0700

Jonathan Nieder <[email-masked]> wrote:
> The author, committer, and tagger name and email should not include
> any embedded <, >, or newline characters.  The format of the
> identification string is
> 
>   ('author'|'committer'|'tagger') sp name sp < email > sp date
> 
> If an object has no name attached, then git expects to find two spaces
> in a row.

This is going to be a problem I think.  Some importers are probably
writing "committer <bob> ...." when pulling from systems that don't
have a concept of name vs. email (e.g. CVS or SVN).  I highly suspect
that requiring two spaces here will cause a lot of importers to fail.

If we really need to require two spaces, I think we need to honor
the documented input format but rewrite the line inside of the
import process to match the two space convention.
 
-- 
Shawn.